Skip to main content
`Ctrl`+`K`

# DMRedundantSetSize

Sets the size of a densely coupled redundant object

## Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantSetSize(DM dm, PetscMPIInt rank, PetscInt N)

Collective

## Input Parameters

- dm - `DM` object of type `DMREDUNDANT`

- rank - rank of process to own the redundant degrees of freedom

- N - total number of redundant degrees of freedom

## See Also

`DM`, `DMREDUNDANT`, `DMDestroy()`, `DMCreateGlobalVector()`, `DMRedundantCreate()`, `DMRedundantGetSize()`

## Level

advanced

## Location

src/dm/impls/redundant/dmredundant.c

## Implementations

DMRedundantSetSize_Redundant() in src/dm/impls/redundant/dmredundant.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages